## linux 4.17.17

=== drivers/video/fbdev/Makefile ===
# SPDX-License-Identifier: GPL-2.0
# Makefile for the Linux video drivers.
# 5 Aug 1999, James Simmons, <mailto:jsimmons@users.sf.net>
# Rewritten to use lists instead of if-statements.

# Each configuration option enables a list of files.

obj-y				+= core/

obj-$(CONFIG_FB_MACMODES)      += macmodes.o
obj-$(CONFIG_FB_WMT_GE_ROPS)   += wmt_ge_rops.o

# Hardware specific drivers go first
obj-$(CONFIG_FB_AMIGA)            += amifb.o c2p_planar.o
obj-$(CONFIG_FB_ARC)              += arcfb.o
obj-$(CONFIG_FB_CLPS711X)	  += clps711x-fb.o
obj-$(CONFIG_FB_CLPS711X_OLD)	  += clps711xfb.o
obj-$(CONFIG_FB_CYBER2000)        += cyber2000fb.o
obj-$(CONFIG_FB_GRVGA)            += grvga.o
obj-$(CONFIG_FB_PM2)              += pm2fb.o
obj-$(CONFIG_FB_PM3)		  += pm3fb.o

obj-$(CONFIG_FB_I740)		  += i740fb.o
obj-$(CONFIG_FB_MATROX)		  += matrox/
obj-$(CONFIG_FB_ATY)		  += aty/ macmodes.o
obj-$(CONFIG_FB_ATY128)		  += aty/ macmodes.o
obj-$(CONFIG_FB_RADEON)		  += aty/
obj-$(CONFIG_FB_SIS)		  += sis/
obj-$(CONFIG_FB_VIA)		  += via/
obj-$(CONFIG_FB_KYRO)             += kyro/
obj-$(CONFIG_FB_SAVAGE)		  += savage/
obj-$(CONFIG_FB_GEODE)		  += geode/
obj-$(CONFIG_FB_MBX)		  += mbx/
obj-$(CONFIG_FB_NEOMAGIC)         += neofb.o
obj-$(CONFIG_FB_3DFX)             += tdfxfb.o
obj-$(CONFIG_FB_CONTROL)          += controlfb.o
obj-$(CONFIG_FB_PLATINUM)         += platinumfb.o
obj-$(CONFIG_FB_VALKYRIE)         += valkyriefb.o
obj-$(CONFIG_FB_CT65550)          += chipsfb.o
obj-$(CONFIG_FB_IMSTT)            += imsttfb.o
obj-$(CONFIG_FB_FM2)              += fm2fb.o
obj-$(CONFIG_FB_VT8623)           += vt8623fb.o
obj-$(CONFIG_FB_TRIDENT)          += tridentfb.o
obj-$(CONFIG_FB_LE80578)          += vermilion/
obj-$(CONFIG_FB_S3)               += s3fb.o
obj-$(CONFIG_FB_ARK)              += arkfb.o
obj-$(CONFIG_FB_STI)              += stifb.o
obj-$(CONFIG_FB_FFB)              += ffb.o sbuslib.o
obj-$(CONFIG_FB_CG6)              += cg6.o sbuslib.o
obj-$(CONFIG_FB_CG3)              += cg3.o sbuslib.o
obj-$(CONFIG_FB_BW2)              += bw2.o sbuslib.o
obj-$(CONFIG_FB_CG14)             += cg14.o sbuslib.o
obj-$(CONFIG_FB_P9100)            += p9100.o sbuslib.o
obj-$(CONFIG_FB_TCX)              += tcx.o sbuslib.o
obj-$(CONFIG_FB_LEO)              += leo.o sbuslib.o
obj-$(CONFIG_FB_ACORN)            += acornfb.o
obj-$(CONFIG_FB_ATARI)            += atafb.o c2p_iplan2.o atafb_mfb.o \
                                     atafb_iplan2p2.o atafb_iplan2p4.o atafb_iplan2p8.o
obj-$(CONFIG_FB_MAC)              += macfb.o
obj-$(CONFIG_FB_HECUBA)           += hecubafb.o
obj-$(CONFIG_FB_N411)             += n411.o
obj-$(CONFIG_FB_HGA)              += hgafb.o
obj-$(CONFIG_FB_XVR500)           += sunxvr500.o
obj-$(CONFIG_FB_XVR2500)          += sunxvr2500.o
obj-$(CONFIG_FB_XVR1000)          += sunxvr1000.o
obj-$(CONFIG_FB_APOLLO)           += dnfb.o
obj-$(CONFIG_FB_Q40)              += q40fb.o
obj-$(CONFIG_FB_TGA)              += tgafb.o
obj-$(CONFIG_FB_HP300)            += hpfb.o
obj-$(CONFIG_FB_G364)             += g364fb.o
obj-$(CONFIG_FB_EP93XX)		  += ep93xx-fb.o
obj-$(CONFIG_FB_SA1100)           += sa1100fb.o
obj-$(CONFIG_FB_HIT)              += hitfb.o
obj-$(CONFIG_FB_ATMEL)		  += atmel_lcdfb.o
obj-$(CONFIG_FB_PVR2)             += pvr2fb.o
obj-$(CONFIG_FB_VOODOO1)          += sstfb.o
obj-$(CONFIG_FB_ARMCLCD)	  += amba-clcd.o
obj-$(CONFIG_ARCH_NOMADIK)	  += amba-clcd-nomadik.o
obj-$(CONFIG_PLAT_VERSATILE_CLCD) += amba-clcd-versatile.o
obj-$(CONFIG_FB_GOLDFISH)         += goldfishfb.o
obj-$(CONFIG_FB_68328)            += 68328fb.o
obj-$(CONFIG_FB_GBE)              += gbefb.o
obj-$(CONFIG_FB_CIRRUS)		  += cirrusfb.o
obj-$(CONFIG_FB_ASILIANT)	  += asiliantfb.o
obj-$(CONFIG_FB_PXA)		  += pxafb.o
obj-$(CONFIG_FB_PXA168)		  += pxa168fb.o
obj-$(CONFIG_PXA3XX_GCU)	  += pxa3xx-gcu.o
obj-$(CONFIG_MMP_DISP)           += mmp/
obj-$(CONFIG_FB_W100)		  += w100fb.o
obj-$(CONFIG_FB_TMIO)		  += tmiofb.o
obj-$(CONFIG_FB_AU1100)		  += au1100fb.o
obj-$(CONFIG_FB_AU1200)		  += au1200fb.o
obj-$(CONFIG_FB_VT8500)		  += vt8500lcdfb.o
obj-$(CONFIG_FB_WM8505)		  += wm8505fb.o
obj-$(CONFIG_FB_PMAG_AA)	  += pmag-aa-fb.o
obj-$(CONFIG_FB_PMAG_BA)	  += pmag-ba-fb.o
obj-$(CONFIG_FB_PMAGB_B)	  += pmagb-b-fb.o
obj-$(CONFIG_FB_MAXINE)		  += maxinefb.o
obj-$(CONFIG_FB_METRONOME)        += metronomefb.o
obj-$(CONFIG_FB_BROADSHEET)       += broadsheetfb.o
obj-$(CONFIG_FB_AUO_K190X)	  += auo_k190x.o
obj-$(CONFIG_FB_AUO_K1900)	  += auo_k1900fb.o
obj-$(CONFIG_FB_AUO_K1901)	  += auo_k1901fb.o
obj-$(CONFIG_FB_S1D13XXX)	  += s1d13xxxfb.o
obj-$(CONFIG_FB_SH7760)		  += sh7760fb.o
obj-$(CONFIG_FB_IMX)              += imxfb.o
obj-$(CONFIG_FB_S3C)		  += s3c-fb.o
obj-$(CONFIG_FB_S3C2410)	  += s3c2410fb.o
obj-$(CONFIG_FB_FSL_DIU)	  += fsl-diu-fb.o
obj-$(CONFIG_FB_COBALT)           += cobalt_lcdfb.o
obj-$(CONFIG_FB_IBM_GXT4500)	  += gxt4500.o
obj-$(CONFIG_FB_PS3)		  += ps3fb.o
obj-$(CONFIG_FB_SM501)            += sm501fb.o
obj-$(CONFIG_FB_UDL)		  += udlfb.o
obj-$(CONFIG_FB_SMSCUFX)	  += smscufx.o
obj-$(CONFIG_FB_XILINX)           += xilinxfb.o
obj-$(CONFIG_FB_SH_MOBILE_MERAM)  += sh_mobile_meram.o
obj-$(CONFIG_FB_SH_MOBILE_LCDC)	  += sh_mobile_lcdcfb.o
obj-$(CONFIG_FB_OMAP)             += omap/
obj-y                             += omap2/
obj-$(CONFIG_XEN_FBDEV_FRONTEND)  += xen-fbfront.o
obj-$(CONFIG_FB_CARMINE)          += carminefb.o
obj-$(CONFIG_FB_MB862XX)	  += mb862xx/
obj-$(CONFIG_FB_NUC900)           += nuc900fb.o
obj-$(CONFIG_FB_JZ4740)		  += jz4740_fb.o
obj-$(CONFIG_FB_PUV3_UNIGFX)      += fb-puv3.o
obj-$(CONFIG_FB_HYPERV)		  += hyperv_fb.o
obj-$(CONFIG_FB_OPENCORES)	  += ocfb.o
obj-$(CONFIG_FB_SM712)		  += sm712fb.o

# Platform or fallback drivers go here
obj-$(CONFIG_FB_UVESA)            += uvesafb.o
obj-$(CONFIG_FB_VESA)             += vesafb.o
obj-$(CONFIG_FB_EFI)              += efifb.o
obj-$(CONFIG_FB_VGA16)            += vga16fb.o
obj-$(CONFIG_FB_OF)               += offb.o
obj-$(CONFIG_FB_MX3)		  += mx3fb.o
obj-$(CONFIG_FB_DA8XX)		  += da8xx-fb.o
obj-$(CONFIG_FB_MXS)		  += mxsfb.o
obj-$(CONFIG_FB_SSD1307)	  += ssd1307fb.o
obj-$(CONFIG_FB_SIMPLE)           += simplefb.o

# the test framebuffer is last
obj-$(CONFIG_FB_VIRTUAL)          += vfb.o

=== debian/changelog ===
linux (4.17.17-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
    - Change ABI number to 0.bpo.3.

 -- Bastian Blank <bastian.blank@credativ.de>  Mon, 27 Aug 2018 10:20:11 +0200

linux (4.17.17-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.17.16
    - [x86] platform/UV: Mark memblock related init code and data correctly
    - [x86] mm/pti: Clear Global bit more aggressively
    - [x86] xen/pv: Call get_cpu_address_sizes to set x86_virt/phys_bits
    - [x86] mm: Disable ioremap free page handling on x86-PAE
    - kbuild: verify that $DEPMOD is installed
    - [x86] crypto: ccp - Check for NULL PSP pointer at module unload
    - [x86] crypto: ccp - Fix command completion detection race
    - crypto: vmac - require a block cipher with 128-bit block size
    - crypto: vmac - separate tfm and request context
    - crypto: blkcipher - fix crash flushing dcache in error path
    - crypto: ablkcipher - fix crash flushing dcache in error path
    - crypto: skcipher - fix aligning block size in skcipher_copy_iv()
    - crypto: skcipher - fix crash flushing dcache in error path
    - ioremap: Update pgtable free interfaces with addr
    - [x86] mm: Add TLB purge to free pmd/pte page interfaces
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.17.17
    - [x86] speculation/l1tf: Exempt zeroed PTEs from inversion

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 18 Aug 2018 14:02:58 +0200

linux (4.17.15-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.17.15
    - [hppa/parisc] Enable CONFIG_MLONGCALLS by default
    - [hppa/parisc] Define mb() and add memory barriers to assembler unlock
      sequences
    - Mark HI and TASKLET softirq synchronous
    - stop_machine: Disable preemption after queueing stopper threads
    - sched/deadline: Update rq_clock of later_rq when pushing a task
    - zram: remove BD_CAP_SYNCHRONOUS_IO with writeback feature
    - xen/netfront: don't cache skb_shinfo()
    - bpf, sockmap: fix leak in bpf_tcp_sendmsg wait for mem path
    - bpf, sockmap: fix bpf_tcp_sendmsg sock error handling
    - scsi: sr: Avoid that opening a CD-ROM hangs with runtime power
      management enabled
    - scsi: qla2xxx: Fix memory leak for allocating abort IOCB
    - init: rename and re-order boot_cpu_state_init()
    - root dentries need RCU-delayed freeing
    - make sure that __dentry_kill() always invalidates d_seq, unhashed or not
    - fix mntput/mntput race
    - fix __legitimize_mnt()/mntput() race
    - [armhf] dts: imx6sx: fix irq for pcie bridge
    - [x86] paravirt: Fix spectre-v2 mitigations for paravirt guests
    - [x86] speculation: Protect against userspace-userspace spectreRSB
    - [x86] kprobes/x86: Fix %p uses in error messages
    - [x86] irqflags: Provide a declaration for native_save_fl
    - [x86] speculation/l1tf: Increase 32bit PAE __PHYSICAL_PAGE_SHIFT
    - [x86] speculation/l1tf: Change order of offset/type in swap entry
    - [x86] speculation/l1tf: Protect swap entries against L1TF
    - [x86] speculation/l1tf: Protect PROT_NONE PTEs against speculation
    - [x86] speculation/l1tf: Make sure the first page is always reserved
    - [x86] speculation/l1tf: Add sysfs reporting for l1tf
    - [x86] speculation/l1tf: Disallow non privileged high MMIO PROT_NONE
      mappings
    - [x86] speculation/l1tf: Limit swap file size to MAX_PA/2
    - [x86] bugs: Move the l1tf function and define pr_fmt properly
    - sched/smt: Update sched_smt_present at runtime
    - [x86] smp: Provide topology_is_primary_thread()
    - [x86] topology: Provide topology_smt_supported()
    - cpu/hotplug: Make bringup/teardown of smp threads symmetric
    - cpu/hotplug: Split do_cpu_down()
    - cpu/hotplug: Provide knobs to control SMT
    - [x86] cpu: Remove the pointless CPU printout
    - [x86] cpu/AMD: Remove the pointless detect_ht() call
    - [x86] cpu/common: Provide detect_ht_early()
    - [x86] cpu/topology: Provide detect_extended_topology_early()
    - [x86] cpu/intel: Evaluate smp_num_siblings early
    - [x86] CPU/AMD: Do not check CPUID max ext level before parsing SMP info
    - [x86] cpu/AMD: Evaluate smp_num_siblings early
    - [x86] apic: Ignore secondary threads if nosmt=force
    - [x86] speculation/l1tf: Extend 64bit swap file size limit
    - [x86] cpufeatures: Add detection of L1D cache flush support.
    - [x86] CPU/AMD: Move TOPOEXT reenablement before reading smp_num_siblings
    - [x86] speculation/l1tf: Protect PAE swap entries against L1TF
    - [x86] speculation/l1tf: Fix up pte->pfn conversion for PAE
    - Revert "[x86] apic: Ignore secondary threads if nosmt=force"
    - cpu/hotplug: Boot HT siblings at least once
    - [x86] KVM: Warn user if KVM is loaded SMT and L1TF CPU bug being present
    - [x86] KVM/VMX: Add module argument for L1TF mitigation
    - [x86] KVM/VMX: Add L1D flush algorithm
    - [x86] KVM/VMX: Add L1D MSR based flush
    - [x86] KVM/VMX: Add L1D flush logic
    - [x86] KVM/VMX: Split the VMX MSR LOAD structures to have an host/guest
      numbers
    - [x86] KVM/VMX: Add find_msr() helper function
    - [x86] KVM/VMX: Separate the VMX AUTOLOAD guest/host number accounting
    - [x86] KVM/VMX: Extend add_atomic_switch_msr() to allow VMENTER only MSRs
    - [x86] KVM/VMX: Use MSR save list for IA32_FLUSH_CMD if required
    - cpu/hotplug: Online siblings when SMT control is turned on
    - [x86] litf: Introduce vmx status variable
    - [x86] kvm: Drop L1TF MSR list approach
    - [x86] l1tf: Handle EPT disabled state proper
    - [x86] kvm: Move l1tf setup function
    - [x86] kvm: Add static key for flush always
    - [x86] kvm: Serialize L1D flush parameter setter
    - [x86] kvm: Allow runtime control of L1D flush
    - cpu/hotplug: Expose SMT control init function
    - cpu/hotplug: Set CPU_SMT_NOT_SUPPORTED early


=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.1.1
Build-Depends: debhelper (>= 10.1~), dh-exec, python3:any, quilt, cpio <!stage1>, xz-utils <!stage1>, dh-python <!stage1>, bison <!stage1>, flex (>= 2.6.1-1.1~) <!stage1>
Build-Depends-Arch: kernel-wedge (>= 2.93~) <!stage1>, kmod <!stage1>, bc <!stage1>, libssl-dev:native <!stage1>, libssl-dev <!stage1 !pkg.linux.notools cross>, openssl (>= 1.1.0-1~) <!stage1>, libelf-dev:native [amd64] <!stage1>, libelf-dev <!stage1 !pkg.linux.notools>, asciidoc-base <!stage1 !nodoc !pkg.linux.notools>, xmlto <!stage1 !nodoc !pkg.linux.notools>, gcc-multilib [amd64 ppc64 s390x sparc64] <!stage1 !pkg.linux.notools !nopython>, libaudit-dev <!stage1 !pkg.linux.notools !nopython>, libbabeltrace-dev (>= 1.5.0) <!stage1 !pkg.linux.notools !nopython>, libbabeltrace-dev (>= 1.5.3-2~) <!stage1 !pkg.linux.notools !nopython> | libbabeltrace-ctf-dev (>= 1.5.0) <!stage1 !pkg.linux.notools !nopython>, libdw-dev <!stage1 !pkg.linux.notools !nopython>, libiberty-dev <!stage1 !pkg.linux.notools !nopython>, libnewt-dev <!stage1 !pkg.linux.notools !nopython>, libnuma-dev [amd64 arm64 hppa i386 mips mips64 mips64el mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el powerpc powerpcspe ppc64 ppc64el sparc x32] <!stage1 !pkg.linux.notools !nopython>, libperl-dev <!stage1 !pkg.linux.notools !nopython>, libunwind8-dev [amd64 armel armhf arm64 i386] <!stage1 !pkg.linux.notools !nopython>, python-dev <!stage1 !pkg.linux.notools !nopython>, autoconf <!stage1 !pkg.linux.notools>, automake <!stage1 !pkg.linux.notools>, libtool <!stage1 !pkg.linux.notools>, libglib2.0-dev <!stage1 !pkg.linux.notools>, libudev-dev <!stage1 !pkg.linux.notools>, libwrap0-dev <!stage1 !pkg.linux.notools>, rsync <!stage1 !pkg.linux.notools>, libpci-dev <!stage1 !pkg.linux.notools>, gcc-6 [alpha arm64 armel armhf hppa ia64 m68k mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc64] <!stage1 !cross>, gcc-6-alpha-linux-gnu [alpha] <!stage1 cross>, gcc-6 (>= 6.3.0-18+deb9u1~) [amd64 i386] <!stage1 !cross>, gcc-6-x86-64-linux-gnu (>= 6.3.0-18+deb9u1~) [amd64] <!stage1 cross>, gcc-6-aarch64-linux-gnu [arm64] <!stage1 cross>, gcc-6-arm-linux-gnueabi [armel] <!stage1 cross>, gcc-6-arm-linux-gnueabihf [armhf] <!stage1 cross>, binutils-hppa64-linux-gnu [hppa] <!stage1 !cross>, gcc-6-hppa64-linux-gnu [hppa] <!stage1 !cross>, gcc-6-hppa-linux-gnu [hppa] <!stage1 cross>, binutils-hppa64-linux-gnu [hppa] <!stage1 cross>, gcc-6-hppa64-linux-gnu [hppa] <!stage1 cross>, gcc-6-i686-linux-gnu (>= 6.3.0-18+deb9u1~) [i386] <!stage1 cross>, gcc-6-ia64-linux-gnu [ia64] <!stage1 cross>, gcc-6-m68k-linux-gnu [m68k] <!stage1 cross>, gcc-6-mips-linux-gnu [mips] <!stage1 cross>, gcc-6-mips64-linux-gnuabi64 [mips64] <!stage1 cross>, gcc-6-mips64el-linux-gnuabi64 [mips64el] <!stage1 cross>, gcc-6-mipsisa64r6-linux-gnuabi64 [mips64r6] <!stage1 cross>, gcc-6-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <!stage1 cross>, gcc-6-mipsel-linux-gnu [mipsel] <!stage1 cross>, gcc-6-mipsisa32r6-linux-gnu [mipsr6] <!stage1 cross>, gcc-6-mipsisa32r6el-linux-gnu [mipsr6el] <!stage1 cross>, gcc-6-powerpc-linux-gnu [powerpc] <!stage1 cross>, gcc-6-powerpc-linux-gnuspe [powerpcspe] <!stage1 cross>, gcc-6-powerpc64-linux-gnu [ppc64] <!stage1 cross>, gcc-6-powerpc64le-linux-gnu [ppc64el] <!stage1 cross>, gcc-6-s390x-linux-gnu [s390x] <!stage1 cross>, gcc-6-sh4-linux-gnu [sh4] <!stage1 cross>, gcc-6-sparc64-linux-gnu [sparc64] <!stage1 cross>
Build-Depends-Indep: patchutils <!stage1>, graphviz <!stage1 !nodoc>, python-sphinx <!stage1 !nodoc>, python-sphinx-rtd-theme <!stage1 !nodoc>
Homepage: https://www.kernel.org/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: linux-source-4.17
Architecture: all
Section: kernel
Depends: binutils, xz-utils, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make, bc
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 4.17 with Debian patches
 This package provides source code for the Linux kernel version 4.17. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Build-Profiles: <!stage1 !pkg.linux.nosource>
Multi-Arch: foreign

Package: linux-support-4.17.0-0.bpo.3
Architecture: all
Section: devel
Depends: ${python3:Depends}, ${misc:Depends}
Description: Support files for Linux 4.17
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-doc-4.17
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 4.17
 This package provides the various README files and HTML documentation for
 the Linux kernel version 4.17.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-4.17/Documentation/00-INDEX for the detailed
 description of the contents.
Build-Profiles: <!stage1 !nodoc>
Multi-Arch: foreign

Package: linux-cpupower
Architecture: linux-any
Section: admin
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPU power management tools for Linux
 The cpupower command allows inspection and control of cpufreq and cpuidle
 tunables for hardware that support these features.  It replaces
 "cpufreq-info" and "cpufreq-set" in cpufrequtils.
 .
 ${cpupower:Arch-Description}
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: libcpupower1
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPU frequency and voltage scaling tools for Linux (libraries)
 This package contains the shared library.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: libcpupower-dev
Architecture: linux-any
Section: libdevel
Provides: libcpufreq-dev
Depends: ${shlibs:Depends}, ${misc:Depends}, libcpupower1 (= ${binary:Version})
Replaces: libcpufreq-dev
Conflicts: libcpufreq-dev
Description: CPU frequency and voltage scaling tools for Linux (development files)
 This package contains the 'power/cpupower' headers and library shared
 objects.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: usbip
Architecture: linux-any
Section: admin
Depends: usbutils, ${shlibs:Depends}, ${misc:Depends}
Description: USB device sharing system over IP network
 USB/IP is a system for sharing USB devices over the network.
 .
 To share USB devices between computers with their full functionality,
 USB/IP encapsulates "USB requests" into IP packets and transmits them
 between computers.
 .
 Original USB device drivers and applications can be used for remote USB
 devices without any modification of them.  A computer can use remote USB
 devices as if they were directly attached.
 .
 Currently USB/IP provides no access control or encryption.  It should only
 be used in trusted environments.
 .
 This package provides the server component 'usbipd' and the client tool
 'usbip'.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: hyperv-daemons
Architecture: amd64 i386 x32
Section: admin
Depends: lsb-base, ${shlibs:Depends}, ${misc:Depends}
Description: Support daemons for Linux running on Hyper-V
 Suite of daemons for Linux guests running on Hyper-V, consisting of
 hv_fcopy_daemon, hv_kvp_daemon and hv_vss_daemon.
 .
 hv_fcopy_daemon provides the file copy service, allowing the host to copy
 files into the guest.
 .
 hv_kvp_daemon provides the key-value pair (KVP) service, allowing the host
 to get and set the IP networking configuration of the guest.  (This
 requires helper scripts which are not currently included.)
 .
 hv_vss_daemon provides the volume shadow copy service (VSS), allowing the
 host to freeze the guest filesystems while taking a snapshot.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: lockdep
Architecture: all
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, liblockdep4.17
Recommends: liblockdep-dev
Description: Runtime locking correctness validator
 lockdep is a wrapper for programs that use the pthreads API, which detects
 actual and potential deadlocks and other locking bugs.
Build-Profiles: <!stage1 !pkg.linux.notools>
Multi-Arch: allowed

Package: liblockdep4.17
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime locking correctness validator (shared library)
 liblockdep is a library for programs that use the pthreads API, which can
 be used to detect actual and potential deadlocks and other locking bugs.
Build-Profiles: <!stage1 !pkg.linux.notools>
Multi-Arch: same

Package: liblockdep-dev
Architecture: linux-any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, liblockdep4.17 (= ${binary:Version})
Description: Runtime locking correctness validator (development files)
 liblockdep is a library for programs that use the pthreads API, which can
 be used to detect actual and potential deadlocks and other locking bugs.
Build-Profiles: <!stage1 !pkg.linux.notools>
Multi-Arch: same

Package: linux-kbuild-4.17
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Kbuild infrastructure for Linux 4.17
 This package provides the kbuild infrastructure for the headers packages
 for Linux kernel version 4.17.
Build-Profiles: <!stage1 !pkg.linux.notools>
Multi-Arch: foreign

Package: linux-perf-4.17
Architecture: alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64
Section: devel
Provides: linux-tools-4.17
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, ${python:Depends}
Recommends: linux-base
Suggests: linux-doc-4.17
Replaces: linux-tools-4.17
Conflicts: linux-tools-4.17
Description: Performance analysis tools for Linux 4.17
 This package contains the 'perf' performance analysis tools for Linux
 kernel version 4.17.
 .
 The linux-base package contains a 'perf' command which will invoke the
 appropriate version for the running kernel.
Build-Profiles: <!stage1 !pkg.linux.notools !nopython>

Package: linux-bootwrapper-4.17.0-0.bpo.3
Architecture: powerpc powerpcspe ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Boot wrapper tools for Linux 4.17 on PowerPC
 This package provides the 'wrapper' script and related tools needed to
 process the Linux kernel image for use with some PowerPC platforms.
Build-Profiles: <!stage1 !pkg.linux.notools>
Multi-Arch: foreign

Package: linux-headers-4.17.0-0.bpo.3-common
Architecture: all
Depends: ${misc:Depends}
Description: Common header files for Linux 4.17.0-0.bpo.3
 This package provides the common kernel header files for Linux kernel
 version 4.17.0-0.bpo.3, generally used for building out-of-tree kernel
 modules.  To obtain a complete set of headers you also need to install the
 linux-headers-4.17.0-0.bpo.3-(flavour) package, matching the flavour of
 the kernel you intend the build for.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-libc-dev
Architecture: alpha amd64 arm64 arm64ilp32 armel armhf hppa i386 ia64 m68k mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc powerpcspe ppc64 ppc64el riscv64 s390 s390x sh3 sh4 sparc sparc64 tilegx x32
Section: devel
Provides: linux-kernel-headers
Depends: ${misc:Depends}

=== debian/tests/control ===
Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-4.17.0-0.bpo.3-alpha-generic [alpha], linux-image-4.17.0-0.bpo.3-alpha-smp [alpha], linux-image-4.17.0-0.bpo.3-amd64 [amd64], linux-image-4.17.0-0.bpo.3-cloud-amd64 [amd64], linux-image-4.17.0-0.bpo.3-arm64 [arm64], linux-image-4.17.0-0.bpo.3-marvell [armel], linux-image-4.17.0-0.bpo.3-armmp [armhf], linux-image-4.17.0-0.bpo.3-armmp-lpae [armhf], linux-image-4.17.0-0.bpo.3-parisc [hppa], linux-image-4.17.0-0.bpo.3-parisc-smp [hppa], linux-image-4.17.0-0.bpo.3-parisc64-smp [hppa], linux-image-4.17.0-0.bpo.3-686 [i386], linux-image-4.17.0-0.bpo.3-686-pae [i386], linux-image-4.17.0-0.bpo.3-itanium [ia64], linux-image-4.17.0-0.bpo.3-mckinley [ia64], linux-image-4.17.0-0.bpo.3-m68k [m68k], linux-image-4.17.0-0.bpo.3-4kc-malta [mips mipsel], linux-image-4.17.0-0.bpo.3-5kc-malta [mips mips64 mips64el mipsel], linux-image-4.17.0-0.bpo.3-octeon [mips mips64 mips64el mipsel], linux-image-4.17.0-0.bpo.3-loongson-3 [mips64el mipsel], linux-image-4.17.0-0.bpo.3-mips64r6 [mips64r6 mipsr6], linux-image-4.17.0-0.bpo.3-mips64r6el [mips64r6el mipsr6el], linux-image-4.17.0-0.bpo.3-mips32r6 [mipsr6], linux-image-4.17.0-0.bpo.3-mips32r6el [mipsr6el], linux-image-4.17.0-0.bpo.3-powerpc [powerpc], linux-image-4.17.0-0.bpo.3-powerpc-smp [powerpc], linux-image-4.17.0-0.bpo.3-powerpc64 [powerpc ppc64], linux-image-4.17.0-0.bpo.3-powerpcspe [powerpcspe], linux-image-4.17.0-0.bpo.3-powerpc64le [ppc64el], linux-image-4.17.0-0.bpo.3-s390x [s390x], linux-image-4.17.0-0.bpo.3-sh7751r [sh4], linux-image-4.17.0-0.bpo.3-sh7785lcr [sh4], linux-image-4.17.0-0.bpo.3-sparc64 [sparc64], linux-image-4.17.0-0.bpo.3-sparc64-smp [sparc64]
Classes: smp
